Bug 491300 - anaconda can't find the linux partition in rescue mode
anaconda can't find the linux partition in rescue mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 06:07 EDT by Alex Kanavin
Modified: 2009-03-23 14:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 14:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (7.33 KB, text/plain)
2009-03-20 06:07 EDT, Alex Kanavin
no flags Details
program.log (328 bytes, text/plain)
2009-03-20 06:07 EDT, Alex Kanavin
no flags Details
storage.log (14.28 KB, text/plain)
2009-03-20 06:08 EDT, Alex Kanavin
no flags Details
syslog (30.69 KB, text/plain)
2009-03-20 06:08 EDT, Alex Kanavin
no flags Details

  None (edit)
Description Alex Kanavin 2009-03-20 06:07:09 EDT
Created attachment 336016 [details]
anaconda.log

When I boot the latest rawhide iso in rescue mode, anaconda searches for the existing partitions to mount for a bit, and then announces it couldn't find anything. All the logs from /tmp attached.
Comment 1 Alex Kanavin 2009-03-20 06:07:37 EDT
Created attachment 336017 [details]
program.log
Comment 2 Alex Kanavin 2009-03-20 06:08:12 EDT
Created attachment 336018 [details]
storage.log
Comment 3 Alex Kanavin 2009-03-20 06:08:54 EDT
Created attachment 336019 [details]
syslog
Comment 4 Alex Kanavin 2009-03-20 06:09:20 EDT
The linux partitions should be on sdb.
Comment 5 Chris Lumens 2009-03-20 15:34:57 EDT
What release of Fedora do you have installed on your sdb drive?
Comment 6 Alex Kanavin 2009-03-20 15:44:21 EDT
Fedora 10
Comment 7 Chris Lumens 2009-03-20 16:43:51 EDT
This should be fixed in the next build of anaconda.  I just did a couple related rescue mode commits that should take care of this problem.
Comment 8 Alex Kanavin 2009-03-22 09:21:28 EDT
Yes, just tried the latest rawhide boot.iso and it finds and mounts the installation partition. However, there is now a different problem: the mount seems to mess up SELinux labels. If I reboot after the rescue-mode mount, there's a ton of permission denied messsages and the system hangs. Things work just far enough to boot in single mode and run

$ restorecon -v -R /

and then it works again. Restorecon prints a few messages like

restorecon reset / context system_u:-object_r:mnt_t:s0 -> system_u:-object_r:root_t:s0
Comment 9 Joel Andres Granados 2009-03-23 14:38:15 EDT
Alex:
Pls open a new bug for you selinux issue.

Note You need to log in before you can comment on or make changes to this bug.